package com.wd.workoffice.contract;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.bean.OrderBean;

import java.util.List;
import java.util.Map;

import flexible.xd.android_base.mvpBase.IBaseModel;
import flexible.xd.android_base.mvpBase.IBasePresenter;
import flexible.xd.android_base.mvpBase.IBaseView;
import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public interface SaleSaleContract {
    interface Model extends IBaseModel {
        Observable<BaseBean> getOrder(Map<String, Object> param);

        Observable<BaseBean> getOutOrder(Map<String, Object> param);

        Observable<BaseBean> getInsideOrder(Map<String, Object> param);

        Observable<BaseBean> getSupplierOrder(Map<String, Object> param);
    }

    interface View extends IBaseView {
        void saleList(List<OrderBean> dataList);

        void outList(List<OrderBean> dataList);

        void insideList(List<OrderBean> dataList);

        void supplierList(List<OrderBean> dataList);
    }

    interface Presenter extends IBasePresenter<View> {
        void getOrder(Map<String, Object> param);

        void getOutOrder(Map<String, Object> param);

        void getInsideOrder(Map<String, Object> param);

        void getSupplierOrder(Map<String, Object> param);
    }
}
